# Pinafore

An alternative web client for [Mastodon](https://joinmastodon.org]), focused on speed and simplicity.

Pinafore is available at [pinafore.social](https://pinafore.social).

For bleeding-edge dev releases, there is also [dev.pinafore.social](https://dev.pinafore.social).

## Browser support

Pinafore supports the latest versions of the following browsers:

- Chrome
- Edge
- Firefox
- Safari

Compatible versions of each (Opera, Brave, Samsung, etc.) should be fine.

## Goals and non-goals

This section lays out some high-level goals for Pinafore, as well as the goals it _doesn't_ intend to tackle.

### Goals

- Support the most common use cases
- Fast even on low-end phones
- Works offline in read-only mode
- Progressive Web App features
- Multi-instance support
- Support latest versions of Chrome, Edge, Firefox, and Safari
- a11y (keyboard navigation, screen readers)

### Possible future goals

- Works as an alternative frontend self-hosted by instances
- Ship in the Android/iOS app stores as a Cordova app
- Support Pleroma/non-Mastodon backends
- i18n
- Offline search
- Full emoji keyboard

### Non-goals

- Supporting old browsers, proxy browsers, or text-based browsers
- React Native / NativeScript / hybrid-native version
- Full functionality with JavaScript disabled
- Emoji support beyond the built-in system emoji
- Multi-column support
- Keyboard shortcuts
- Admin/moderation panel
- Works offline in read-write mode

## Building and contributing

See [CONTRIBUTING.md](https://github.com/nolanlawson/pinafore/blob/master/CONTRIBUTING.md).